compact1, compact2, compact3
java.util.function

## Interface ObjLongConsumer<T>

- Type Parameters:
    `T` - the type of the object argument to the operation
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface ObjLongConsumer<T>

  Represents an operation that accepts an object-valued and a `long`-valued argument, and returns no result. This is the `(reference, long)` specialization of `BiConsumer`. Unlike most other functional interfaces, `ObjLongConsumer` is expected to operate via side-effects.

  This is a functional interface whose functional method is `accept(Object, long)`.

  Since:
    1.8
  See Also:
    `BiConsumer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(T t, long value)` Performs this operation on the given arguments.

- - ### Method Detail

    - #### accept

          void accept(T t,
                      long value)

      Performs this operation on the given arguments.
      Parameters:
        `t` - the first input argument
        `value` - the second input argument

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.